Bug 315821 - [FutureFeature] Add possibility to include more modules and start more RAIDs
[FutureFeature] Add possibility to include more modules and start more RAIDs
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 15:12 EDT by Radek Hladik
Modified: 2008-06-16 22:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Radek Hladik 2007-10-02 15:12:26 EDT
It would be great to have command line option and possibly configuration option
(/etc/sysconfig/kernel?) to add drivers for all used drive controllers and for
starting more raids in initrd.
Now only modules and RAIDs needed for / partitions are added. I would prefer to
be able to add modules for all controllers and all RAIDs to initrd. The initrd
size gain would not be so important (to me). 
Example: I have server booting from two flash 2GB drives. Each drive has 100MB
partition /boot (RAID1) and almost 2GB / partition (RAID0). When creating
initrd, it will add module for RAID0 and will add command raidautostart /dev/md1.
Some times later I want to change to one 4GB flash mirrored with iSCSI. So I
boot livecd, prepare the environment and copy data. However, system is now
running from /dev/md0 and using RAID1. I have to manually update initrd image
(which is not so easy as I do not have running system to simply use mkinitrd).
I wonder what is the reason not to add all possibly required modules to initrd?
And why not to try to start all possilble RAIDs?
Comment 1 Radek Hladik 2007-11-13 15:28:53 EST
After looking into mkinitrd once again I've discovered that mkinitrd can load
configuration from /etc/sysconfig/mkinitrd . This should be documented somewhere
as it is really good thing. Googling the file name produced this description
http://www.tummy.com/journals/entries/jafo_20070827_145440 . 
After looking into mkinitrd I've discovered that it does not initialize
raiddevices variable and so I can use this configuration:

raiddevices="/dev/md0 /dev/md1 /dev/md2 /dev/md3 /dev/md4 /dev/md5 /dev/md6"
MODULES="raid0 raid1 raid5 raid6 raid10 linear raid456 ahci sata_sil"

Which tries to load all mentioned modules and tries to run all specified RAIDs.
Comment 2 Bug Zapper 2008-05-14 10:36:12 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:33:55 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.